org.apache.http.impl.conn

## Class DefaultHttpRoutePlanner

- java.lang.Object
- - org.apache.http.impl.conn.DefaultHttpRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

  已过时。
  （4.3）使用`DefaultRoutePlanner`

      @Contract(threading=SAFE)
      @Deprecated
      public class DefaultHttpRoutePlanner
      extends Object
      implements HttpRoutePlanner

  默认实现一个`HttpRoutePlanner` 。 这个实现是基于`parameters` 。 它不会使用任何Java系统属性，也不会使用系统或浏览器代理设置。

  以下参数可用于自定义此类的行为：

  - `ConnRoutePNames.DEFAULT_PROXY`
  - `ConnRoutePNames.LOCAL_ADDRESS`
  - `ConnRoutePNames.FORCED_ROUTE`
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchemeRegistry` | `schemeRegistry` 已过时。 方案注册表。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultHttpRoutePlanner(SchemeRegistry schreg)` 已过时。 创建一个新的默认路线规划器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRoute` | `determineRoute(HttpHost target, HttpRequest request, HttpContext context)` 已过时。 确定请求的路由。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### schemeRegistry

          protected final SchemeRegistry schemeRegistry

      已过时。
      方案注册表。

  - ### 构造方法详细信息

    - #### DefaultHttpRoutePlanner

          public DefaultHttpRoutePlanner(SchemeRegistry schreg)

      已过时。
      创建一个新的默认路线规划器。
      参数
        `schreg` - 方案注册表

  - ### 方法详细信息

    - #### determineRoute

          public HttpRoute determineRoute(HttpHost target,
                                 HttpRequest request,
                                 HttpContext context)
                                   throws HttpException

      已过时。
      说明从界面： `HttpRoutePlanner`复制
      确定请求的路由。
      Specified by:
        `determineRoute`在界面 `HttpRoutePlanner`
      参数
        `target` - 请求的目标主机。 如果他们仍然可以确定路由，例如到默认目标或通过检查请求，那么实现可能会接受`null` 。
        `request` - 请求执行
        `context` - 用于后续执行的上下文。 实施可能会接受`null` 。
      结果
        请求应该采用的路由
      异常
        `HttpException` - in case of a problem

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585